<script lang="ts">
	export let active: boolean
	export let href: string

	import clsx from "clsx"
</script>

<a
	class={clsx(
		"flex items-center px-4 py-3 transition cursor-pointer group hover:bg-gray-100 hover:text-gray-900",
		active && "text-gray-900 bg-gray-100"
	)}
	{href}
>
	<span>
		<slot />
	</span>
</a>
